Bug 808820 - virt-p2v can not discover multipath device.
virt-p2v can not discover multipath device.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-p2v (Show other bugs)
6.3
All Linux
high Severity high
: rc
: ---
Assigned To: Matthew Booth
: TestBlocker
Depends On:
Blocks: 810468 840699 852637
  Show dependency treegraph
 
Reported: 2012-04-01 04:41 EDT by yuping zhang
Modified: 2012-08-29 03:59 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When converting a physical host with multipath storage, Virt-P2V will present all available paths for conversion. Only a single path must be selected. This must be a currently active path.
Story Points: ---
Clone Of:
: 810468 852637 (view as bug list)
Environment:
Last Closed: 2012-08-14 11:04:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description yuping zhang 2012-04-01 04:41:21 EDT
Description of problem:
Add FC storage with two links,it will display as two disks.
Then multipath will auto-config it as mpath.But virt-p2v can not find 
the mpath,only with /dev/sdb,/dev/sdc.So we cannot convert it with virt-p2v.


Version-Release number of selected component (if applicable):
virt-p2v-0.8.6.2

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
As all FC storage is used two links in our environment,so it blocked us 
to test FC storage.
Comment 3 Matthew Booth 2012-04-02 05:17:51 EDT
Can you please try converting just 1 of these disks? I suspect that will work. If so, this would require documentation.
Comment 4 yuping zhang 2012-04-05 04:08:12 EDT
Hi matt,
I have tried as you comment.
There are two disks /dev/sdb and /dev/sdd in p2v "Fixed Storage".
1. Convert /dev/sdd,there is a error "Error reading data in send_data:Input/ouput error"
#dmesg
...
end_request: I/O error, dev sdd, sector 0
__ratelimit: 10 callbacks suppressed
Buffer I/O error on device sdd, logical block 0
Buffer I/O error on device sdd, logical block 1
Buffer I/O error on device sdd, logical block 2
Buffer I/O error on device sdd, logical block 3
Buffer I/O error on device sdd, logical block 4
Buffer I/O error on device sdd, logical block 5
Buffer I/O error on device sdd, logical block 6
Buffer I/O error on device sdd, logical block 7
Buffer I/O error on device sdd, logical block 8
Buffer I/O error on device sdd, logical block 9
sd 4:0:3:0: [sdd] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
sd 4:0:3:0: [sdd] Sense Key : Illegal Request [current]
sd 4:0:3:0: [sdd] <<vendor>> ASC=0x94 ASCQ=0x1ASC=0x94 ASCQ=0x1
sd 4:0:3:0: [sdd] CDB: Read(10): 28 00 00 00 00 00 00 00 08 00
end_request: I/O error, dev sdd, sector 0
...

2.Convert /dev/sdb successfully,the guest can boot.
But the device.map didn't update.
# cat /boot/grub/device.map 
# this device map was generated by anaconda
(hd0)     /dev/mapper/mpatha
===> For this problem,I will create another bug if this bug is documented.

3.On host,check the multipath device.
# multipath -ll
......
3600a0b80005adb0b000060d04f775e1c dm-1 IBM,1726-4xx  FAStT
size=20G features='1 queue_if_no_path' hwhandler='1 rdac' wp=rw
|-+- policy='round-robin 0' prio=6 status=active
| `- 4:0:2:0 sdb 8:16 active ready running
`-+- policy='round-robin 0' prio=1 status=enabled
  `- 4:0:3:0 sdd 8:48 active ghost running

The sdb is active ready running and sdd is active ghost running.
So maybe this is cause of converting sdb fail.
Comment 5 yuping zhang 2012-04-05 04:21:18 EDT
> 3600a0b80005adb0b000060d04f775e1c dm-1 IBM,1726-4xx  FAStT
> size=20G features='1 queue_if_no_path' hwhandler='1 rdac' wp=rw
> |-+- policy='round-robin 0' prio=6 status=active
> | `- 4:0:2:0 sdb 8:16 active ready running
> `-+- policy='round-robin 0' prio=1 status=enabled
>   `- 4:0:3:0 sdd 8:48 active ghost running
> 
> The sdb is active ready running and sdd is active ghost running.
> So maybe this is cause of converting sdb fail.

Typo.Here it should be sdd fail.
Comment 6 Matthew Booth 2012-04-05 05:53:59 EDT
I think this requires a Technical note.
Comment 7 Matthew Booth 2012-04-05 05:54:00 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When converting a physical host with multipath storage, Virt-P2V will present all available paths for conversion. Only a single path must be selected. This must be a currently active path.

Note You need to log in before you can comment on or make changes to this bug.